| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Typedefs | Functions
jcsample.c File Reference
`#include "jinclude.h"`
`#include "jpeglib.h"`

Go to the source code of this file.

## Classes
struct | my_downsampler

## Macros
#define | JPEG_INTERNALS

## Typedefs
typedef my_downsampler * | my_downsample_ptr

## Functions
typedef | JMETHOD (void, downsample1_ptr,(j_compress_ptr cinfo, jpeg_component_info *compptr, JSAMPARRAY input_data, JSAMPARRAY output_data))
| start_pass_downsample (j_compress_ptr cinfo)
| expand_right_edge (JSAMPARRAY image_data, int num_rows, JDIMENSION input_cols, JDIMENSION output_cols)
| sep_downsample (j_compress_ptr cinfo, JSAMPIMAGE input_buf, JDIMENSION in_row_index, JSAMPIMAGE output_buf, JDIMENSION out_row_group_index)
| int_downsample (j_compress_ptr cinfo, jpeg_component_info *compptr, JSAMPARRAY input_data, JSAMPARRAY output_data)
| fullsize_downsample (j_compress_ptr cinfo, jpeg_component_info *compptr, JSAMPARRAY input_data, JSAMPARRAY output_data)
| h2v1_downsample (j_compress_ptr cinfo, jpeg_component_info *compptr, JSAMPARRAY input_data, JSAMPARRAY output_data)
| h2v2_downsample (j_compress_ptr cinfo, jpeg_component_info *compptr, JSAMPARRAY input_data, JSAMPARRAY output_data)
| h2v2_smooth_downsample (j_compress_ptr cinfo, jpeg_component_info *compptr, JSAMPARRAY input_data, JSAMPARRAY output_data)
| fullsize_smooth_downsample (j_compress_ptr cinfo, jpeg_component_info *compptr, JSAMPARRAY input_data, JSAMPARRAY output_data)
| jinit_downsampler (j_compress_ptr cinfo)

## Macro Definition Documentation

#define JPEG_INTERNALS

Definition at line 48 of file jcsample.c.

## Typedef Documentation

typedef my_downsampler* my_downsample_ptr

Definition at line 67 of file jcsample.c.

## Function Documentation

expand_right_edge | ( | JSAMPARRAY | image_data,
|  | int | num_rows,
|  | JDIMENSION | input_cols,
|  | JDIMENSION | output_cols
| ) |  |

Definition at line 87 of file jcsample.c.

fullsize_downsample | ( | j_compress_ptr | cinfo,
|  | jpeg_component_info * | compptr,
|  | JSAMPARRAY | input_data,
|  | JSAMPARRAY | output_data
| ) |  |

Definition at line 187 of file jcsample.c.

fullsize_smooth_downsample | ( | j_compress_ptr | cinfo,
|  | jpeg_component_info * | compptr,
|  | JSAMPARRAY | input_data,
|  | JSAMPARRAY | output_data
| ) |  |

Definition at line 392 of file jcsample.c.

h2v1_downsample | ( | j_compress_ptr | cinfo,
|  | jpeg_component_info * | compptr,
|  | JSAMPARRAY | input_data,
|  | JSAMPARRAY | output_data
| ) |  |

Definition at line 212 of file jcsample.c.

h2v2_downsample | ( | j_compress_ptr | cinfo,
|  | jpeg_component_info * | compptr,
|  | JSAMPARRAY | input_data,
|  | JSAMPARRAY | output_data
| ) |  |

Definition at line 249 of file jcsample.c.

h2v2_smooth_downsample | ( | j_compress_ptr | cinfo,
|  | jpeg_component_info * | compptr,
|  | JSAMPARRAY | input_data,
|  | JSAMPARRAY | output_data
| ) |  |

Definition at line 292 of file jcsample.c.

int_downsample | ( | j_compress_ptr | cinfo,
|  | jpeg_component_info * | compptr,
|  | JSAMPARRAY | input_data,
|  | JSAMPARRAY | output_data
| ) |  |

Definition at line 140 of file jcsample.c.

jinit_downsampler | ( | j_compress_ptr | cinfo | ) |

Definition at line 464 of file jcsample.c.

typedef JMETHOD | ( | void | ,
|  | downsample1_ptr | ,
|  | (j_compress_ptr cinfo, jpeg_component_info *compptr, JSAMPARRAY input_data, JSAMPARRAY output_data) |
| ) |  |

sep_downsample | ( | j_compress_ptr | cinfo,
|  | JSAMPIMAGE | input_buf,
|  | JDIMENSION | in_row_index,
|  | JSAMPIMAGE | output_buf,
|  | JDIMENSION | out_row_group_index
| ) |  |

Definition at line 114 of file jcsample.c.

start_pass_downsample | ( | j_compress_ptr | cinfo | ) |

Definition at line 75 of file jcsample.c.